#!/usr/bin/env sh

uninstall_main() {

  if [ $(( $# )) -eq 0 ]; then
    uninstall_usage
    exit 0
  fi

  while [ $(( $# )) -ne 0 ] ; do
      case $1 in
          -h|-\?|--help)   # Call a "usage" function to display a synopsis, then exit.
              uninstall_usage
              exit 0
              ;;
          -y,--yes)
              admin_password=$2
              shift
              ;;
          -?*|*)
              printf 'WARN: Unknown option (ignored): %s\n' "$1" >&2
              exit 1
              ;;
      esac
      shift
  done

  install_and_run_oneprovider "$admin_password"
}


uninstall_oneprovider() {

    sudo docker inspect onedatify-oneprovider-1 | jq -r .[].State.Running
    # # Temorary hack
    # if command_exists apt; then
    #     if dpkg-query -W onedatify 2>&1 2>/dev/null ; then
    #         $sh_c "apt remove -y onedatify"
    #     fi
    #     $sh_c "curl https://packages.onedata.org/apt/ubuntu/onedatify_17.06.0.rc4.systemd_amd64.deb > /tmp/onedatify-service.deb"
    #     $sh_c "dpkg -i /tmp/onedatify-service.deb"
    # else 
    #     if yum list installed onedatify 2>&1 2>/dev/null ; then
    #         $sh_c "yum remove -y onedatify"
    #     fi
    #     $sh_c "curl https://packages.onedata.org/apt/ubuntu/onedatify-service-17.06.0.rc1.systemd-1.x86_64.rpm > /tmp/onedatify-service.rpm"
    #     $sh_c "scp/tmp/onedatify-service.rpm"
    # fi
    # return 0

    # List stuff that will be deleted

    echo "About to remove /opt/onedata/onedatify folder. ok?"
    # rm -rf /opt/onedata/onedatify

}

uninstall_usage() {
cat <<EOF
onedatify install -p <admin password>

  -p,--purge      Delete all configuration files and data
  -y,--yes        Do not prompt for confirmation

EOF
}

uninstall_main "$@"